<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:clipChildren="false">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_order"
        android:layout_width="0dp"
        android:layout_height="@dimen/playmate_detail_bottom_bar_height"
        android:layout_marginTop="40dp"
        android:layout_marginEnd="10dp"
        android:clipChildren="false"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/btn_chat"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/v_price_discount"
            style="@style/CommonDiscountPriceDownView"
            android:layout_width="wrap_content"
            android:visibility="gone"
            app:layout_constraintBottom_toTopOf="@id/cl_price"
            app:layout_constraintEnd_toEndOf="@id/cl_price"
            app:layout_constraintStart_toStartOf="@id/cl_price"
            tools:text="New Only | 90% OFF"
            tools:visibility="visible" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_price"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/common_create_order_price_bg"
            android:paddingStart="6dp"
            android:paddingEnd="12dp"
            app:layout_constraintBottom_toBottomOf="@id/btn_order"
            app:layout_constraintEnd_toStartOf="@id/v_right_space"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/btn_order">

            <com.adealink.weparty.module.playmate.widget.PriceMarqueeView
                android:id="@+id/v_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:layout_constrainedWidth="true"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:price_icon_size="16dp"
                app:price_text_bold="true"
                app:price_text_size="18sp"
                app:unit_text_size="12sp" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <Space
            android:id="@+id/v_right_space"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="70:47"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_order"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/common_create_order_button_bg"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/common_create_order"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="93:47"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_chat"
        android:layout_width="125dp"
        android:layout_height="@dimen/playmate_detail_bottom_bar_height"
        android:paddingHorizontal="24dp"
        app:button_left_drawable="@drawable/playmate_chat_ic"
        app:button_left_drawable_margin="4dp"
        app:button_left_drawable_width="24dp"
        app:common_button_type="normal2"
        app:layout_constraintBottom_toBottomOf="@id/cl_order"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/cl_order"
        app:text="@string/common_chat"
        app:textColor="@color/white"
        app:textSize="16sp" />

</androidx.constraintlayout.widget.ConstraintLayout>